### Method

# Rest ProxyCall sync

#### Declaration [src]

    gboolean
    rest_proxy_call_sync (
      RestProxyCall* call
      GError** error
    )

#### Description [src]

Synchronously invokes `call`. After this function has returned, `rest_proxy_call_get_payload()` will return the result of this call.

Note that this will block an undefined amount of time, so `rest_proxy_call_invoke_async()` is generally recommended.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` if a failure occurred, in which case `error_out` will be set.